NODE(1)

NAME
node - Server-side JavaScript runtime

SYNOPSIS
node [options] [v8 options] [script.js | -e "script"] [arguments]
node debug [script.js | -e "script" | <host>:<port>] ...
node [--v8-options] Execute without arguments to start the REPL.

DESCRIPTION
Node.js is a set of libraries for JavaScript which allows it to be used outside of the browser. It is primarily focused on creating simple, easy to build network clients and servers.

OPTIONS

-v, --version
    Print node's version.

-h, --help
    Print node command line options. The output of this option is less detailed than this document.

-e, --eval "script"
    Evaluate the following argument as JavaScript.

-p, --print "script"
    Identical to -e but prints the result.

-c, --check
    Syntax check the script without executing.

-i, --interactive
    Open the REPL even if stdin does not appear to be a terminal.

-r, --require module
    Preload the specified module at startup. Follows `require()`'s module resolution rules. module may be either a path to a file, or a node module name.

--no-deprecation
    Silence deprecation warnings.

--trace-deprecation
    Print stack traces for deprecations.

--throw-deprecation
    Throw errors for deprecations.

--trace-sync-io
    Print a stack trace whenever synchronous I/O is detected after the first turn of the event loop.

--track-heap-objects
    Track heap object allocations for heap snapshots.

--prof-process
    Process v8 profiler output generated using the v8 option --prof

--v8-options
    Print v8 command line options.

--tls-cipher-list=list
    Specify an alternative default TLS cipher list. (Requires Node.js to be built with crypto support. (Default))

--icu-data-dir=file
    Specify ICU data load path. (overrides NODE_ICU_DATA)

ENVIRONMENT VARIABLES

NODE_DEBUG=module[,...]
    ','-separated list of core modules that should print debug information.

NODE_PATH=path[:...]
    ':'-separated list of directories prefixed to the module search path.

NODE_DISABLE_COLORS=1
    When set to 1 colors will not be used in the REPL.

NODE_ICU_DATA=file
    Data path for ICU (Intl object) data. Will extend linked-in data when compiled with small-icu support.

NODE_REPL_HISTORY=file
    Path to the file used to store the persistent REPL history. The default path is ~/.node_repl_history, which is overridden by this variable. Setting the value to an empty string ("" or " ") disables persistent REPL history.

RESOURCES AND DOCUMENTATION
Website: https://nodejs.org/ Documentation: https://nodejs.org/api/ GitHub repository & Issue Tracker: https://github.com/nodejs/node Mailing list: http://groups.google.com/group/nodejs IRC (general questions): chat.freenode.net #node.js IRC (node core development): chat.freenode.net #node-dev